# Uses of Interface
org.eclipse.emf.cdo.session.CDOSession

Packages that use CDOSession
Package
Description
org.eclipse.emf.cdo.explorer.repositories
Interfaces for working with `repositories`.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.net4j
Client concepts for dealing with Net4j-based sessions to remote repositories.
org.eclipse.emf.cdo.security.ui
Concepts and default implementations for the CDO security user interface.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.session.remote
Client concepts for the communication and collaboration with other sessions.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.
org.eclipse.emf.cdo.ui.compare
Classes that help to open EMF Compare user interfaces on CDO models.
org.eclipse.emf.cdo.ui.widgets
A library with reusable widgets.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOSession in org.eclipse.emf.cdo.explorer.repositories

Methods in org.eclipse.emf.cdo.explorer.repositories that return CDOSession
Modifier and Type
Method
Description
`CDOSession`
CDORepository.`acquireSession()`
`CDOSession`
CDORepository.`getSession()`
Methods in org.eclipse.emf.cdo.explorer.repositories with parameters of type CDOSession
Modifier and Type
Method
Description
`CDORepository`
CDORepositoryManager.`getRepository(CDOSession session)`

## Uses of CDOSession in org.eclipse.emf.cdo.lm.client

Method parameters in org.eclipse.emf.cdo.lm.client with type arguments of type CDOSession
Modifier and Type
Method
Description
`boolean`
ISystemDescriptor.`withModuleSession(String moduleName, Consumer<CDOSession> consumer)`
`boolean`
ISystemDescriptor.`withModuleSession(CDORepository moduleRepository, Consumer<CDOSession> consumer)`

## Uses of CDOSession in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server that return CDOSession
Modifier and Type
Method
Description
`final CDOSession`
AbstractLifecycleManager.`getModuleSession(String moduleName)`
Methods in org.eclipse.emf.cdo.lm.server with parameters of type CDOSession
Modifier and Type
Method
Description
`protected List<String>`
AbstractLifecycleManager.`initSystemRepository(CDOSession session)`
Deprecated.
As of 1.2 use `AbstractLifecycleManager.initSystemRepository(CDOSession, BiConsumer)`.
`protected void`
AbstractLifecycleManager.`initSystemRepository(CDOSession session, BiConsumer<String,String> moduleInfoComsumer)`

## Uses of CDOSession in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util that return CDOSession
Modifier and Type
Method
Description
`CDOSession`
LMMerger2.LMMergeInfos.`getSession()`
Methods in org.eclipse.emf.cdo.lm.util with parameters of type CDOSession
Modifier and Type
Method
Description
`long`
LMMerger.`mergeDelivery(CDOSession session, CDOBranchPoint sourceBranchPoint, CDOBranch targetBranch)`
Merges the changes from the given source branch point into the given target branch and returns the time stamp of the resulting commit into the merge target branch, or `CDOBranchPoint.INVALID_DATE` if no commit has happened.
`default long`
LMMerger2.`mergeDelivery(CDOSession session, CDOBranchPoint sourceBranchPoint, CDOBranch targetBranch)`
Deprecated.
As of 1.2 implement `LMMerger2.mergeDelivery(LMMergeInfos)`.
`void`
LMMerger2.LMMergeInfos.`setSession(CDOSession session)`

## Uses of CDOSession in org.eclipse.emf.cdo.net4j

Subinterfaces of CDOSession in org.eclipse.emf.cdo.net4j
Modifier and Type
Interface
Description
`interface`
`CDONet4jSession`
A Net4j-specific CDO `session`.
`interface`
`CDOSession`
Deprecated.
Use `CDONet4jSession`.

## Uses of CDOSession in org.eclipse.emf.cdo.security.ui

Methods in org.eclipse.emf.cdo.security.ui with parameters of type CDOSession
Modifier and Type
Method
Description
`CDOView`
ISecurityManagementContext.`connect(CDOSession session)`
Obtains a view in which to open the security resource for editing.
`CDOView`
ISecurityManagementContext.Default.`connect(CDOSession session)`

## Uses of CDOSession in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOSession
Modifier and Type
Method
Description
`CDOSession`
IRepositorySynchronizer.`getRemoteSession()`
Methods in org.eclipse.emf.cdo.server with parameters of type CDOSession
Modifier and Type
Method
Description
`static void`
CDOServerUtil.`execute(CDOSession context, Consumer<ISession> consumer)`
`static IRepository`
CDOServerUtil.`getRepository(CDOSession session)`
`static ISession`
CDOServerUtil.`getServerSession(CDOSession session)`

## Uses of CDOSession in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOSession
Modifier and Type
Method
Description
`CDOSession`
CDOSession.Options.`getContainer()`
Returns the `session` of this options object.
`CDOSession`
CDOSessionConfiguration.SessionOpenedEvent.`getOpenedSession()`
`CDOSession`
CDOCollectionLoadingPolicy.`getSession()`
`CDOSession`
CDORepositoryInfo.`getSession()`
Returns the session.
`CDOSession`
CDOSessionProvider.`getSession()`
`CDOSession`
CDOSessionRegistry.`getSession(int id)`
Returns the `session` with the given `ID` if it is registered, `null` otherwise.
`CDOSession`
CDOSessionRegistry.Registration.`getSession()`
Returns the `CDOSession` of this registration.
`CDOSession[]`
CDOSessionRegistry.`getSessions()`
Returns all registered `sessions`.
`CDOSession`
CDOSessionEvent.`getSource()`
`CDOSession`
CDOSessionConfiguration.`openSession()`
Opens the session for this configuration.
Methods in org.eclipse.emf.cdo.session with parameters of type CDOSession
Modifier and Type
Method
Description
`int`
CDOSessionRegistry.`getID(CDOSession session)`
Returns the `ID` of the given `session` if it is registered, 0 otherwise.
`void`
CDORetryExceptionHandler.`handleException(CDOSession session, int attempt, Exception exception)`
`void`
CDOSession.ExceptionHandler.`handleException(CDOSession session, int attempt, Exception exception)`
`void`
CDOCollectionLoadingPolicy.`setSession(CDOSession session)`

## Uses of CDOSession in org.eclipse.emf.cdo.session.remote

Methods in org.eclipse.emf.cdo.session.remote that return CDOSession
Modifier and Type
Method
Description
`CDOSession`
CDORemoteSessionManager.`getLocalSession()`
Returns the `local session` this CDORemoteSessionManager belongs to.

## Uses of CDOSession in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOSession
Modifier and Type
Method
Description
`CDOSession`
CDOPushTransaction.`getSession()`

## Uses of CDOSession in org.eclipse.emf.cdo.ui

Methods in org.eclipse.emf.cdo.ui that return CDOSession
Modifier and Type
Method
Description
`final CDOSession`
Authorizer.`getSession()`
`CDOSession`
CDOTopicProvider.Topic.`getSession()`
Methods in org.eclipse.emf.cdo.ui with parameters of type CDOSession
Modifier and Type
Method
Description
`protected Dialog`
CDOInteractiveExceptionHandler.`createDialog(CDOSession session, int attempt, Exception exception)`
`boolean`
CDOItemProvider.`fillGenerated(MenuManager manager, CDOSession session)`
`void`
CDOItemProvider.`fillSession(IMenuManager manager, CDOSession session)`
`void`
CDOInteractiveExceptionHandler.`handleException(CDOSession session, int attempt, Exception exception)`
Constructors in org.eclipse.emf.cdo.ui with parameters of type CDOSession
Modifier
Constructor
Description
``
`AbstractAuthorizingDialog(Shell parentShell, CDOSession session)`
``
`Authorizer(Authorizer.AuthorizerContext<E> context, CDOSession session)`
``
`ExceptionDialog(Shell parentShell, CDOSession session, int attempt, Exception exception)`
``
`Topic(CDOSession session, String id, Image image, String text, String description)`

## Uses of CDOSession in org.eclipse.emf.cdo.ui.compare

Methods in org.eclipse.emf.cdo.ui.compare with parameters of type CDOSession
Modifier and Type
Method
Description
`static boolean`
CDOCompareEditorUtil.`openDialog(CDOSession session, CDOBranchPoint leftPoint, CDOBranchPoint rightPoint)`

## Uses of CDOSession in org.eclipse.emf.cdo.ui.widgets

Methods in org.eclipse.emf.cdo.ui.widgets that return CDOSession
Modifier and Type
Method
Description
`final CDOSession`
CommitHistoryComposite.Input.`getSession()`
`CDOSession`
ComposeBranchPointComposite.`getSession()`
Deprecated.
As of 4.4 no longer supported.
`CDOSession`
SelectBranchComposite.`getSession()`
Deprecated.
Methods in org.eclipse.emf.cdo.ui.widgets with parameters of type CDOSession
Modifier and Type
Method
Description
`protected CDOCommitHistory`
CommitHistoryComposite.`createHistory(CDOSession session, CDOBranch branch, CDOObject object)`
`protected SelectBranchComposite`
ComposeBranchPointComposite.`createSelectBranchComposite(CDOSession session, CDOBranch branch)`
Deprecated.
As of 4.4 use `ComposeBranchPointComposite.createBranchViewer()`.
Constructors in org.eclipse.emf.cdo.ui.widgets with parameters of type CDOSession
Modifier
Constructor
Description
``
`ComposeBranchPointComposite(Composite parent, int style, CDOSession session, CDOBranchPoint branchPoint, boolean allowTimeStamp)`
Deprecated.
As of 4.4 use `ComposeBranchPointComposite(Composite, boolean, CDOBranchPoint)`.
``
`Input(CDOSession session, CDOBranch branch, CDOObject object)`
``
`SelectBranchComposite(Composite parent, int style, CDOSession session, CDOBranch branch)`
Deprecated.
``
`SelectBranchComposite(Composite parent, int style, CDOSession session, CDOBranch branch, boolean withHistory)`
Deprecated.

## Uses of CDOSession in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDOSession
Modifier and Type
Method
Description
`static CDOSession`
CDOUtil.`getSession(Object object)`
Methods in org.eclipse.emf.cdo.util with parameters of type CDOSession
Modifier and Type
Method
Description
`static URI`
CDOURIUtil.`createResourceURI(CDOSession session, String path)`
Deprecated.
This method is subject to removal in a future release.
`static boolean`
CDOUtil.`isSessionDirty(CDOSession session)`
Returns `true` if the given `session` contains a dirty `transaction`, `false` otherwise.

## Uses of CDOSession in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOSession
Modifier and Type
Method
Description
`CDOSession`
CDOView.`getSession()`
Returns the `session` this view was opened by.

## Uses of CDOSession in org.eclipse.emf.spi.cdo

Subinterfaces of CDOSession in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOSession`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.spi.cdo that return CDOSession
Modifier and Type
Method
Description
`CDOSession`
CDOSessionInvalidationEventQueue.`getSession()`
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOSession
Modifier
Constructor
Description
``
`CDOSessionInvalidationAggregator(CDOSession session)`
Deprecated.
``
`CDOSessionInvalidationEventQueue(CDOSession session)`